aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/vdb_merger_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/vdb_merger_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/e/vdb_merger_TEST_setup.sh23
1 files changed, 22 insertions, 1 deletions
diff --git a/paludis/repositories/e/vdb_merger_TEST_setup.sh b/paludis/repositories/e/vdb_merger_TEST_setup.sh
index 1cd9693..ea27bfc 100755
--- a/paludis/repositories/e/vdb_merger_TEST_setup.sh
+++ b/paludis/repositories/e/vdb_merger_TEST_setup.sh
@@ -3,9 +3,10 @@
mkdir vdb_merger_TEST_dir || exit 2
cd vdb_merger_TEST_dir || exit 3
+mkdir CONTENTS || exit 4
-mkdir -p config_protect_dir/{image,root,CONTENTS} || exit 4
+mkdir -p config_protect_dir/{image,root} || exit 4
cd config_protect_dir/image
@@ -60,6 +61,26 @@ echo bar >protected_dir_not_really/unprotected_file
cd ../..
+mkdir -p file_newline_dir/{image,root} || exit 4
+touch file_newline_dir/image/"file
+newline"
+
+mkdir -p dir_newline_dir/{image,root} || exit 4
+mkdir dir_newline_dir/image/"dir
+newline"
+
+mkdir -p sym_newline_dir/{image,root} || exit 4
+ln -s foo sym_newline_dir/image/"sym
+newline"
+
+mkdir -p sym_arrow_dir/{image,root} || exit 4
+ln -s bar sym_arrow_dir/image/"sym -> arrow"
+
+mkdir -p sym_arrow2_dir/{image,root} || exit 4
+mkdir sym_arrow2_dir/image/"dir -> ectory"
+ln -s bar sym_arrow2_dir/image/"dir -> ectory/sym"
+
+
for d in *_dir; do
ln -s ${d} ${d%_dir}
done